search
LoginSignup
0

posted at

非エンジニアのPython忘備録的ブログ

Python3.10.4への更新とPySimpleGUI

初めに

環境

・使用しているPC:macbookAir
・OS:macOS
ここではPython3.9.7からPython3.10.4への更新とそれに伴ってPySimpleGUIが使えなくなったことについて解決した話を載せます。

Python3.10.4へ新しいバージョンのPythonをインストールしたら使えなくなった!?

経緯

 macbookairにインストールしたPython3.9.7が古いのか、ターミナルコマンドで2022.10.4 is availableのような表記が出たのでPython3.10.4をインストールしました。

 そして気になったことが一つ…。
 PySimpleGUIをインストールしていたけどバージョンが違っていても使えるのかな?と。
 そしてPySimpleGUIをインポートするコードが記載されたファイルをPython3.10.4で開いてみるとやはり使えませんでした。

解決

 これは単純にもう一度Python3.10.4がある状態でPySimpleGUIをインストールすれば良いかなと思いインストールしてみたところ、Python3.9.7から開いてもPython3.10.4から開いても使えるようになりました。
 ちなみにPySimpleGUIのインストールは以下の通りです。

ターミナルコマンド
pip3 install PySimpleGUI

最後までご覧いただきありがとうございました。

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
What you can do with signing up
0